org.eclipse.rdf4j.query.resultio

## Class QueryResultParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.rdf4j.OpenRDFException
        - - org.eclipse.rdf4j.RDF4JException
          - - org.eclipse.rdf4j.query.resultio.QueryResultParseException

- All Implemented Interfaces:
    Serializable

      public class QueryResultParseException
      extends RDF4JException

  A parse exception that can be thrown by a query result parser when it encounters an error from which it cannot or doesn't want to recover.
  Author:
    Arjohn Kampman
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryResultParseException(String msg)` Creates a new QueryResultParseException.
    `QueryResultParseException(String msg, long lineNo, long columnNo)` Creates a new QueryResultParseException.
    `QueryResultParseException(String msg, Throwable t)` Creates a new QueryResultParseException wrapping another exception.
    `QueryResultParseException(String msg, Throwable t, long lineNo, long columnNo)` Creates a new QueryResultParseException wrapping another exception.
    `QueryResultParseException(Throwable t)` Creates a new QueryResultParseException wrapping another exception.
    `QueryResultParseException(Throwable t, long lineNo, long columnNo)` Creates a new QueryResultParseException wrapping another exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getColumnNumber()` Gets the column number associated with this parse exception.
    `long` | `getLineNumber()` Gets the line number associated with this parse exception.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryResultParseException

          public QueryResultParseException(String msg)

      Creates a new QueryResultParseException.
      Parameters:
        `msg` - An error message.

    - #### QueryResultParseException

          public QueryResultParseException(String msg,
                                           Throwable t)

      Creates a new QueryResultParseException wrapping another exception.
      Parameters:
        `msg` - An error message.
        `t` - The source exception.

    - #### QueryResultParseException

          public QueryResultParseException(String msg,
                                           long lineNo,
                                           long columnNo)

      Creates a new QueryResultParseException.
      Parameters:
        `msg` - An error message.
        `lineNo` - A line number associated with the message.
        `columnNo` - A column number associated with the message.

    - #### QueryResultParseException

          public QueryResultParseException(Throwable t)

      Creates a new QueryResultParseException wrapping another exception. The QueryResultParseException will inherit its message from the supplied source exception.
      Parameters:
        `t` - The source exception.

    - #### QueryResultParseException

          public QueryResultParseException(Throwable t,
                                           long lineNo,
                                           long columnNo)

      Creates a new QueryResultParseException wrapping another exception. The QueryResultParseException will inherit its message from the supplied source exception.
      Parameters:
        `t` - The source exception.
        `lineNo` - A line number associated with the message.
        `columnNo` - A column number associated with the message.

    - #### QueryResultParseException

          public QueryResultParseException(String msg,
                                           Throwable t,
                                           long lineNo,
                                           long columnNo)

      Creates a new QueryResultParseException wrapping another exception.
      Parameters:
        `msg` - An error message.
        `t` - The source exception.
        `lineNo` - A line number associated with the message.
        `columnNo` - A column number associated with the message.

  - ### Method Detail

    - #### getLineNumber

          public long getLineNumber()

      Gets the line number associated with this parse exception.
      Returns:
        A line number, or `-1` if no line number is available or applicable.

    - #### getColumnNumber

          public long getColumnNumber()

      Gets the column number associated with this parse exception.
      Returns:
        A column number, or `-1` if no column number is available or applicable.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.